﻿/****************************
* DepositCenter.as 
* DepositCenter class for the Build a Toy game
* Represents the table in the center of the game screen
* Resposible for 
		* showing timer, 
		* showing how many parts each player needs to collect
		* collected items
****************************/
class DepositCenter {
	private var myRoot:MovieClip;
	public var myPlayer:MovieClip;
	private var gameboardInstance;
	private var numCollectedItems:Number;
	private var MAX_NUM_ITEMS_TO_COLLECT:Number;
	private var	maxZ:Number;
	private var spotX:Number;
	private var spotY:Number;
	private var myDepSpots:Array;
	/*****
							* Constructor
					*****/
	public function DepositCenter() {
		//trace("an instance of class DepositCenter was constructed");
		myRoot = Game.getRoot();
		gameboardInstance = Gameboard.getInstance();
		maxZ =  2000;
		numCollectedItems = 0;
		MAX_NUM_ITEMS_TO_COLLECT = 3;
		myDepSpots = new Array();
		//number of item each player needs to collect to build the best toy
	}
	/************** GETTERS *****************/
	public function getNumCollectedItems() {
		return numCollectedItems;
	}

	/************** END OF GETTERS *****************/
	/*****
	* Initilisation of deposit spots for each player
					*****/
	public function initDepositSpots(player:Player):Void {
		myPlayer = player;
		var mcZ:Number;
		var playerNum = myPlayer.getPlayerNum();
		

		for (var i=0;i<MAX_NUM_ITEMS_TO_COLLECT;i++){
			mcZ = ++ maxZ;
			mcZ = mcZ + (playerNum*10) //TODO fix that
			var spot = myRoot.attachMovie("depositSpot_mc", "depositSpot_"+mcZ, mcZ);
			myDepSpots.push(spot);
		}

		//trace ("Positioning player");
//		this._x = x;
//		this._y = y;
//		this._rotation = rotation;
		
	}
	public function setPositon(x:Number, y:Number){
		trace ("function setPosition");
var spotOffsetX = 0;
		var spotOffsetY = 0;
		spotX = x;
		spotY = y;
		for (var i=0;i<myDepSpots.length;i++){
			
			myDepSpots[i]._x = spotX;
			spotY = spotY + spotOffsetY;
			myDepSpots[i]._y = spotY;
			spotX = spotX + spotOffsetX;
		}
		}
	
}
