﻿class AnimationTicker {

public static var TICK_LENGTH = 41.66666666;
private static var inst:AnimationTicker = null;	

private var listeners:Array;
private var intId;

public static function frameTick() {
	//trace("frame tick");
	if (inst != null) {
		inst.tick();
	}
	
}

public static function getInstance():AnimationTicker {
	if (inst == null) {
		inst = new AnimationTicker();
	}
	return inst;
}

	private function AnimationTicker () {
		listeners=new Array();
		start();
	}
	
	public function start():Void {
//		this.intId = setInterval(this, "tick", TICK_LENGTH);
		return;
		}
		
	public function stop():Void{
		clearInterval(this.intId);
		}
		
	public function tick () {
		//clearInterval(this.intId);
		for (var i:Number=0; i<listeners.length;i++) {
			if (listeners[i]!=null) {
				listeners[i].animTick();
			}
		}
		updateAfterEvent();
		//this.intId = setInterval(this, "tick", TICK_LENGTH);
		
		
	}
	
	public function addListener(l:AnimationTickerListener){
		for (var i:Number=0; i<listeners.length;i++) {
			if (listeners[i]==l) {
				// no duplicate listeners
				return; 
			}
		}
		listeners.push(l);
	}

	public function removeListener(l:AnimationTickerListener){
		for (var i:Number=0; i<listeners.length;i++) {
			if (listeners[i]==l) {
				listeners[i] = null;
				return;
			}
		}
	}
	
	
}