﻿/****************************
* Game.as 
* The main class for the cards game
****************************/
class Game {
	private static var dpem:DPadEmulator = null;
	private static var player1Instance:Player;
	private static var player2Instance:Player;
	private static var player3Instance:Player;
	private static var player4Instance:Player;
	private static var tableInstance:Table;
	private static var root:MovieClip;  // MovieClip containing the game
	private static var INIT_CARDS_IN_HAND:Number = 10;
	/*****
	* Constructor
	*****/
	public function Game() {
	}
	/*****
	* Entry point
	*****/
	public static function main(_r:MovieClip):Void {
		//trace("Starting application.");
		var playerNum:Number;
		root = _r;
		tableInstance = Table.getInstance();
		player1Instance = new Player(INIT_CARDS_IN_HAND, 1);
		player2Instance = new Player(INIT_CARDS_IN_HAND, 2);
		player3Instance = new Player(INIT_CARDS_IN_HAND, 3);
		player4Instance = new Player(INIT_CARDS_IN_HAND, 4);
		player1Instance.initCards();
		player2Instance.initCards();
		player3Instance.initCards();
		player4Instance.initCards();
		tableInstance.initMainCard();
		
		
		//trace("main card id = "+tableInstance.getCurCardId());
	}
	/************** GETTERS *****************/
	/*****
	*Getter for root
	*Returns root
	*****/
	public static function getRoot():MovieClip {
		return root;
	}
		
	/**
		* Creates a new instance of DPAdEmulator if necessary and returns it
		**/
	public static function getDpem():DPadEmulator {
		if (dpem == null) {
			dpem = DPadEmulator.getInst(root);
		}
		return dpem;
	}
}
