﻿class CollidingFrame extends MovieClip {
	
	private var ribs:Array;
	
	
	public function CollidingFrame(){
		this.ribs = new Array();
	}
	
	public function addRib(l:Line):Void{
		ribs.push(l);
	}
	
	public function detectCollision(ball:Ball):CollisionData {
		var framesToColl = 9999;
		var resColl:CollisionData = null;
		for (var i=0; i<ribs.length; i++){
			var c:CollisionData = getCollData(Line(ribs[i]), ball);
			if (c.frames < framesToColl) { 
				resColl = c; 
			}
		}
		
		return resColl;
		
		
	}
	
}