﻿class Line {
	private var p1:Coords;
	private var p2:Coords;
	private var slope:Number;
	private var angle:Number;
	private var b:Number;
	
	
	public function Line(e1:Coords, e2:Coords){
		p1 = e1;
		p2 = e2;
		slope = (p2.getY()-p1.getY())/(p1.getX()-p2.getX());
		if (slope == Number.POSITIVE_INFINITY) {
			slope = 1000000;
		} else if (slope == Number.NEGATIVE_INFINITY) {
			slope = -1000000;
		}
		angle = Math.atan(slope);		
		b=p1.getY()-slope*p1.getX();
		
	}
	
	public function toString():String{
		return "Line: ("+p1.getX()+","+p1.getY()+") - ("+p2.getX()+","+p2.getY()+") slope:"+slope+" angle:"+angle+" b:"+b;
	}
	
	public function getP1():Coords{
		return this.p1;
	}
	public function getP2():Coords{
		return this.p2;
	}
	public function getSlope():Number{
		return this.slope;
	}
	public function getB():Number{
		return this.b;
	}
	
	public function getAngle():Number{
		return this.angle;
	}
	
	
	
}